@import "~scss/variables";

.swag-guided-shopping-product-assignment {
    &.sw-card .sw-card__content {
        padding: 0;
    }

    .sw-card__content {
        border-radius: 0;
    }

    .swag-guided-shopping-product-assignment__search {
        padding: 30px;
    }

    .swag-guided-shopping-product-assignment__delete {
        z-index: 5;
        position: absolute;
        right: 20px;
        top: 122px;
    }

    .sw-empty-state {
        position: relative;
    }

    .swag-guided-shopping-product-assignment__product-stream-preview-link {
        text-align: right;
        font-size: $font-size-xs;
        margin-bottom: 32px;

        a {
            color: $color-shopware-brand-500;
            text-decoration: none;
            display: inline-flex;
            align-items: center;
        }

        .sw-icon {
            margin-left: 6px;
        }
    }

    .sw-many-to-many-assignment-card__select-container {
        background-color: $color-gray-100;
    }

    .sw-product-stream-grid-preview__grid {
        border-top: 1px solid $color-gray-300;
    }

    .swag-guided-shopping-product-assignment__product-stream-select {
        margin-bottom: 10px;
    }
}
